Bug 1532565 - byobu: switch to Python 3
Summary: byobu: switch to Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: byobu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1276014
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2018-01-09 11:05 UTC by Iryna Shcherbina
Modified: 2019-04-15 17:43 UTC (History)
3 users (show)

Fixed In Version: byobu-5.127-3.fc30 byobu-5.127-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:03:11 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-01-09 11:05:23 UTC
Upstream, this software supports Python 3 since version 5.100.
Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 27 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Fedora End Of Life 2018-02-20 15:26:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Miro Hrončok 2019-03-17 21:52:24 UTC
Filipe, are you responsive?

Comment 3 Miro Hrončok 2019-03-27 10:20:27 UTC
Consider this a nonresponsive maintainer bug.

https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Please respond.

Comment 4 Filipe Rosset 2019-03-27 11:44:01 UTC
I'm responsive, but a bit busy, I'll handle this update Next weekend.

Patches are always welcome.

Comment 5 Miro Hrončok 2019-03-27 12:29:48 UTC
Here you go: https://src.fedoraproject.org/rpms/byobu/pull-request/2

Comment 6 Fedora Update System 2019-03-31 21:59:21 UTC
byobu-5.127-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7280b4df1e

Comment 7 Fedora Update System 2019-03-31 21:59:30 UTC
byobu-5.127-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b6d1d8742d

Comment 8 Filipe Rosset 2019-03-31 22:00:33 UTC
(In reply to Miro Hrončok from comment #5)
> Here you go: https://src.fedoraproject.org/rpms/byobu/pull-request/2

Thanks Miro! :)

Comment 9 Fedora Update System 2019-04-01 01:33:07 UTC
byobu-5.127-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7280b4df1e

Comment 10 Fedora Update System 2019-04-01 02:06:46 UTC
byobu-5.127-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b6d1d8742d

Comment 11 Fedora Update System 2019-04-13 00:03:11 UTC
byobu-5.127-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-15 17:43:39 UTC
byobu-5.127-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.